#include <iostream>

using namespace std;

int main()
{
    long long int n, m;
    cin>>n>>m;
    if(n<m)
    {
        long long int p=n;
        n=m;
        m=p;
    }
    long long int broj_redara = (n+m)*2-4+((n-2)/2*2+(n-2)/2+(n-2)%2);
    cout<<broj_redara;
}